Index: modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science.module.ts
===================================================================
--- modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science.module.ts	(revision 61515)
+++ modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science.module.ts	(revision 61516)
@@ -23,7 +23,7 @@
     // ContinentOSPublicationsIndicatorsComponent,
     // ContinentOSDatasetsComponent,
     // ContinentOSSoftwareComponent,
-    ContinentOSORPComponent
+    // ContinentOSORPComponent
   ],
   providers: [
     DataService,
Index: modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science-routing.module.ts
===================================================================
--- modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science-routing.module.ts	(revision 61515)
+++ modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/continent-open-science-routing.module.ts	(revision 61516)
@@ -34,7 +34,8 @@
       },
       {
         path: 'other-research-products',
-        component: ContinentOSORPComponent,
+        loadChildren: () => import('./other-research-products/continent-os-orp.module').then(m => m.ContinentOpenScienceORPModule),
+        // component: ContinentOSORPComponent,
       },
     ]
   },
Index: modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp.module.ts
===================================================================
--- modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp.module.ts	(nonexistent)
+++ modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp.module.ts	(revision 61516)
@@ -0,0 +1,27 @@
+import { NgModule } from '@angular/core';
+import { CommonModule } from '@angular/common';
+import { ContinentOpenScienceORPRoutingModule } from './continent-os-orp-routing.module';
+import { ReusableComponentsModule } from '../../../../shared/reusablecomponents/reusable-components.module';
+import { ContinentOSORPComponent } from './continent-os-orp.component';
+import { ContinentOSORPIndicatorsComponent } from './continent-os-orp-indicators.component';
+import { DataService } from '../../../../services/data.service';
+import { DataHandlerService } from '../../../../services/data-handler.service';
+
+
+@NgModule ({
+  imports: [
+    CommonModule,
+    ContinentOpenScienceORPRoutingModule,
+    ReusableComponentsModule,
+  ],
+  declarations: [
+    ContinentOSORPComponent,
+    ContinentOSORPIndicatorsComponent,
+  ],
+  providers: [
+    DataService,
+    DataHandlerService
+  ],
+})
+
+export class ContinentOpenScienceORPModule {}
Index: modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp-routing.module.ts
===================================================================
--- modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp-routing.module.ts	(nonexistent)
+++ modules/open-science-observatory-ui/branches/groupings-for-graphs/src/app/pages/continent/open-science/other-research-products/continent-os-orp-routing.module.ts	(revision 61516)
@@ -0,0 +1,29 @@
+import { RouterModule, Routes } from '@angular/router';
+import { NgModule } from '@angular/core';
+import { ContinentOSORPComponent } from './continent-os-orp.component';
+import { ContinentOSORPIndicatorsComponent } from './continent-os-orp-indicators.component';
+
+const continentOpenScienceORPRoutes: Routes = [
+  {
+    path: '',
+    component: ContinentOSORPComponent,
+    children : [
+      {
+        path: '',
+        redirectTo: 'pid',
+        pathMatch: 'full',
+      },
+      {
+        path: ':indicator',
+        component: ContinentOSORPIndicatorsComponent,
+      }
+    ]
+  },
+];
+
+@NgModule ({
+  imports: [RouterModule.forChild(continentOpenScienceORPRoutes)],
+  exports: [RouterModule]
+})
+
+export class ContinentOpenScienceORPRoutingModule {}
